/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 3.0.12
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package it.politecnico.coolprop;

public final class backend_families {
  public final static backend_families INVALID_BACKEND_FAMILY = new backend_families("INVALID_BACKEND_FAMILY", CoolPropJNI.INVALID_BACKEND_FAMILY_get());
  public final static backend_families HEOS_BACKEND_FAMILY = new backend_families("HEOS_BACKEND_FAMILY");
  public final static backend_families REFPROP_BACKEND_FAMILY = new backend_families("REFPROP_BACKEND_FAMILY");
  public final static backend_families INCOMP_BACKEND_FAMILY = new backend_families("INCOMP_BACKEND_FAMILY");
  public final static backend_families IF97_BACKEND_FAMILY = new backend_families("IF97_BACKEND_FAMILY");
  public final static backend_families TREND_BACKEND_FAMILY = new backend_families("TREND_BACKEND_FAMILY");
  public final static backend_families TTSE_BACKEND_FAMILY = new backend_families("TTSE_BACKEND_FAMILY");
  public final static backend_families BICUBIC_BACKEND_FAMILY = new backend_families("BICUBIC_BACKEND_FAMILY");
  public final static backend_families SRK_BACKEND_FAMILY = new backend_families("SRK_BACKEND_FAMILY");
  public final static backend_families PR_BACKEND_FAMILY = new backend_families("PR_BACKEND_FAMILY");
  public final static backend_families VTPR_BACKEND_FAMILY = new backend_families("VTPR_BACKEND_FAMILY");
  public final static backend_families PCSAFT_BACKEND_FAMILY = new backend_families("PCSAFT_BACKEND_FAMILY");

  public final int swigValue() {
    return swigValue;
  }

  public String toString() {
    return swigName;
  }

  public static backend_families swigToEnum(int swigValue) {
    if (swigValue < swigValues.length && swigValue >= 0 && swigValues[swigValue].swigValue == swigValue)
      return swigValues[swigValue];
    for (int i = 0; i < swigValues.length; i++)
      if (swigValues[i].swigValue == swigValue)
        return swigValues[i];
    throw new IllegalArgumentException("No enum " + backend_families.class + " with value " + swigValue);
  }

  private backend_families(String swigName) {
    this.swigName = swigName;
    this.swigValue = swigNext++;
  }

  private backend_families(String swigName, int swigValue) {
    this.swigName = swigName;
    this.swigValue = swigValue;
    swigNext = swigValue+1;
  }

  private backend_families(String swigName, backend_families swigEnum) {
    this.swigName = swigName;
    this.swigValue = swigEnum.swigValue;
    swigNext = this.swigValue+1;
  }

  private static backend_families[] swigValues = { INVALID_BACKEND_FAMILY, HEOS_BACKEND_FAMILY, REFPROP_BACKEND_FAMILY, INCOMP_BACKEND_FAMILY, IF97_BACKEND_FAMILY, TREND_BACKEND_FAMILY, TTSE_BACKEND_FAMILY, BICUBIC_BACKEND_FAMILY, SRK_BACKEND_FAMILY, PR_BACKEND_FAMILY, VTPR_BACKEND_FAMILY, PCSAFT_BACKEND_FAMILY };
  private static int swigNext = 0;
  private final int swigValue;
  private final String swigName;
}

